it.reply.healty.innovapuglia.mstaccuino.soap.service.common

## Class CleanContextInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<org.apache.cxf.message.Message>
  - - it.reply.healty.innovapuglia.mstaccuino.soap.service.common.CleanContextInterceptor

- All Implemented Interfaces:
    org.apache.cxf.interceptor.Interceptor<org.apache.cxf.message.Message>, org.apache.cxf.phase.PhaseInterceptor<org.apache.cxf.message.Message>

      public class CleanContextInterceptor
      extends org.apache.cxf.phase.AbstractPhaseInterceptor<org.apache.cxf.message.Message>

  Interceptor per la pulizia del contesto dopo l'invio del messaggio.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CleanContextInterceptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleMessage(org.apache.cxf.message.Message message)` Gestisce il messaggio pulendo il contesto.

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CleanContextInterceptor

          public CleanContextInterceptor()

  - ### Method Detail

    - #### handleMessage

          public void handleMessage(org.apache.cxf.message.Message message)
                             throws org.apache.cxf.interceptor.Fault

      Gestisce il messaggio pulendo il contesto.
      Parameters:
        `message` - il messaggio da gestire.
      Throws:
        `org.apache.cxf.interceptor.Fault` - in caso di errore nel trattamento del messaggio.

Copyright © 2024. All rights reserved.